Skip to content

List my entries for the default access request catalog

Request

OAuth 2.0 scope:
  • okta.accessRequests.catalog.read

Lists the filtered entries for the default access request catalog that you're allowed to request (as the authenticated requester).

The following are request examples with a filter expression. In each example, the filter expression includes the mandatory parent property.

  1. Lists at most 20 parent (top-level) entries
    /governance/api/v2/catalogs/default/entries?filter=not(parent%20pr)&limit=20
  2. Lists the next 20 results of parent entries after a specific cursor
    /governance/api/v2/catalogs/default/entries?filter=not(parent%20pr)&limit=20&after=cen33e47frfMB93gQ8g6
  3. Lists at most 8 parent entries with a fuzzy match for "figma"
    /governance/api/v2/catalogs/default/entries?filter=not(parent%20pr)&match=figma&limit=8
  4. Lists at most 8 child entries with a specific parent
    /governance/api/v2/catalogs/default/entries?filter=parent%20eq%20%22cen385AlcdqGaY8HE0g2%22&limit=8
  5. Lists at most 8 child entries that have "edit" in the name and have a specific parent
    /governance/api/v2/catalogs/default/entries?filter=parent%20eq%20%22cen385AlcdqGaY8HE0g2%22&match=edit&limit=8
Query
filterstring, (scim-filter)required

A required filter expression that returns entries based on the parent property:

  • This filter expression only supports the parent property and the eq and pr operators.
  • If you want the query to return child entries, then you must specify the parent ID with the eq operator.

Notes:

  • If you don't use the parent property in the filter expression, undesireable results are returned.
  • Query parameter percent encoding is required. See Special characters.
Example:filter=not(parent pr)
afterstring, = 20 characters(catalog-entry-id)

The pagination cursor that points to the last record of the previous response.

The maximum number of entries returned in a response is determined by the limit query parameter. If there are more entries to return, the _links.next.href link contains the after cursor for the next page of results.

Example:after=cenp2rjyxK1Js2Fc41d5
matchstring, [ 3 .. 50 ] characters

Return catalog entries that match a substring value in the name or description properties. At least three characters are required for fuzzy search.

Example:match=figma
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Example:limit=20
GET
/governance/api/v2/my/catalogs/default/entries
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/catalogs/default/entries?filter=not(parent%20pr)&after=cenp2rjyxK1Js2Fc41d5&match=figma&limit=20'

Responses

List of all entries in the resource catalog

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(rcar-entry)

Catalog entries list

Response
Lists all entries that have an empty parent
{ "data": [ {}, {} ], "_links": { "self": {}, "next": {}, "atspoke": {} } }